Bug 64015 - rpm ignores %setup -q with zipped sources
Summary: rpm ignores %setup -q with zipped sources
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm-build (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-23 20:13 UTC by Ville Skyttä
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-02 17:59:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Make rpm respect %setup -q with zipped sources (465 bytes, patch)
2002-04-23 20:15 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2002-04-23 20:13:57 UTC
rpm does not respect the -q option of the %setup macro when dealing with zipped sources. 
When in quiet mode, unzip should have the -q option. 
 
I'll attach a (completely untested) patch against the current rpm CVS.

Comment 1 Ville Skyttä 2002-04-23 20:15:20 UTC
Created attachment 55044 [details]
Make rpm respect %setup -q with zipped sources

Comment 2 Jeff Johnson 2002-08-07 23:11:35 UTC
This went into rpm-4.1 yesterday, should be
in rpm-4.1-0.75.


Note You need to log in before you can comment on or make changes to this bug.